./editors/emacs27, GNU editing macros (editor)

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 27.2nb5, Package name: emacs27-27.2nb5, Maintainer: pkgsrc-users

GNU Emacs is an extensible, customizable editor textand more. At its
core is an interpreter for Emacs Lisp, a dialect of the Lisp
programming language with extensions to support text editing. The
features of GNU Emacs include:

- Content-sensitive editing modes, including syntax coloring, for a
wide variety of file types including plain text, source code, and
HTML.
- Complete built-in documentation, including a tutorial for new users.
- Support for many languages and their scripts, including all scripts,
Russian, Greek, Japanese, Chinese, Korean, Thai, Vietnamese, Lao,
Ethiopian, and some Indian scripts.
- Highly customizable, using Emacs Lisp code or a graphical
customization interface.
- A large number of extensions that add other functionality, including
a project planner, mail and news reader, debugger interface,
calendar, and more. Many of these extensions are distributed with
GNU Emacs; others are available separately.

This package contains Emacs version 27.



Package options: dbus, gnutls, gtk3, jansson, x11, xml

Master sites: (Expand)

SHA1: 6c5370eda0bf41e3346dcf2d6cfe994ac56445c1
RMD160: 5cf2927984b34cfd611114190c8b7f498093e994
Filesize: 65579.15 KB

Version history: (Expand)


CVS history: (Expand)


   2021-09-27 21:18:08 by Nia Alarie | Files touched by this commit (1)
Log message:
emacs27, unlike earlier versions, actually works with MKPIE.
   2021-09-27 17:26:25 by Nia Alarie | Files touched by this commit (4)
Log message:
emacs: segfaults when built with MKPIE
   2021-09-12 10:28:34 by Tobias Nygren | Files touched by this commit (2)
Log message:
emacs27: Fix crash during build on aarch64-apple-darwin*. Via upstream.
   2021-08-15 16:24:03 by Thomas Klausner | Files touched by this commit (60)
Log message:
*: recursive bump for openexr 3.1
   2021-06-13 22:28:12 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
emacs27: switch to harfbuzz backend for fonts

This is the dependency recommended by upstream.

While here, clean up options:
- remove undocumented duplicate name for the same option (lucid)
- remove xaw3d from default options since it has no effect with gtk,
  which is on by default
- remove gconf option, since gsettings (via glib) is preferred,
  and gconfmm dependency was wrong anyway

Bump PKGREVISION.
   2021-04-21 15:25:34 by Adam Ciarcinski | Files touched by this commit (864)
Log message:
revbump for boost-libs
   2021-04-21 13:43:04 by Adam Ciarcinski | Files touched by this commit (1822)
Log message:
revbump for textproc/icu
   2021-04-12 10:30:02 by Adam Ciarcinski | Files touched by this commit (21) | Package updated
Log message:
Revbump for multimedia/x265 update